package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.management.entity.HealthImmuneRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.dto.ImmuneCountDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Repository
@Mapper
public interface HealthImmuneRecordDao extends BaseMapper<HealthImmuneRecordEntity> {


    List<ImmuneCountDto> vaccineCoount(@Param("ew") QueryWrapper<HealthImmuneRecordEntity> immuneWrapper);
}
