package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.CameraBrandDao;
import com.huimv.management.entity.CameraBrandEntity;
import com.huimv.management.service.CameraBrandService;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-08 17:02:38
 */
@Service("cameraBrandService")
public class CameraBrandServiceImpl extends ServiceImpl<CameraBrandDao, CameraBrandEntity> implements CameraBrandService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<CameraBrandEntity> page = this.page(
                new Query<CameraBrandEntity>().getPage(params),
                new QueryWrapper<CameraBrandEntity>()
        );

        return new PageUtils(page);
    }

}