package com.huimv.apiservice.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-15 17:09:40
 */
@Data
@TableName("base_feed_formula")
public class BaseFeedFormulaEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 饲料名称
	 */
	private String ingredients;
	/**
	 * 配方饲料的详细信息
	 */
	private String details;
	/**
	 * 原本用来区分是基础物料还是配方饲料，暂时闲置
	 */
	private Integer kind;
	/**
	 * 原本用来区分配方饲料是否处于废弃状态，暂时闲置
	 */
	private Integer status;
	/**
	 * 阶段，这个饲料应该在哪个阶段使用
	 */
	private String stage;
	/**
	 * 对应得牧场ID，这个数据属于这个牧场
	 */
	private Integer farmId;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 备用字段
	 */
	private String remark1;

}
