package com.huimv.apiservice.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 室外环境vo
 * </p>
 *
 * @author yinhao
 * @date 2021/6/11 15:54
 */
@Data
public class OutdoorEnvironmentVo implements Serializable {
    private static final long serialVersionUID = -8168339737358430651L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 当前日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GTM+8")
    private Date date;
    /**
     * 牧场id
     */
    private Integer farmId;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 温度
     */
    private Double temperature;
    /**
     * 湿度
     */
    private Double humidity;
    /**
     * 气体
     */
    private String airQuality;
    /**
     * 采集时间
     */
    private Date collectTime;
}
