package com.huimv.datacollection.config;

import feign.Logger;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FeignLogConfig {

    /**
     * NONE: 不记录
     * BASIC: 记录基本的请求行,响应状态码
     * HEADERS: 记录响应的头信息
     * FULL: 记录完整的请求和响应的数据
     * @return
     */
    @Bean
    public Logger.Level level(){
        return Logger.Level.FULL;
    }
}