package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 疾病库
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Data
@TableName("health_disease")
public class HealthDiseaseEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 疾病编号
	 */
	private String idseaseCode;
	/**
	 * 所属病种
	 */
	private String idseaseType;
	/**
	 * 疾病名称
	 */
	private String idseaseName;
	/**
	 * 猪病概述
	 */
	private String description;
	/**
	 * 临床症状
	 */
	private String clinlcalSymptom;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

}
